Package fr.gouv.vitam.common.database.builder.request.configuration

# Enum Class BuilderToken.QUERY

java.lang.Object
java.lang.Enum<BuilderToken.QUERY>
fr.gouv.vitam.common.database.builder.request.configuration.BuilderToken.QUERY

All Implemented Interfaces:
  `Serializable`, `Comparable<BuilderToken.QUERY>`, `Constable`

Enclosing class:
  `BuilderToken`

public static enum BuilderToken.QUERY extends Enum<BuilderToken.QUERY>
Query model

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AND`
  All expressions are grouped by an AND operator (all shall be true)
  $and : [ expression1, expression2, ...
  `BOX`
  $box : [ [ lng1, lta1 ], [ lng2, lta2 ] ]
  `CENTER`
  $center : [ [ lng1, lta1 ], radius ]
  `EQ`
  Comparison operator
  $eq : { name : value }
  `EXISTS`
  Field named 'name' shall exist
  $exists : name
  `FLT`
  Selects where fields named 'name' are like the one provided, introducing some "fuzzy", which tends to be slower than mlt
  $flt : { $fields : [ name1, name2 ], $like : like_text }
  `GEOINTERSECTS`
  Selects geometries that intersect with a geometry
  $geoIntersects : { name : { geometry|box|polygon|center } }
  `GEOMETRY`
  type might be Point (simple lng, lta), Box, Polygon
  $geometry : { $type : "type", $coordinates : [ [ lng1, lta1 ], [ lng2, lta2 ], ...
  `GEOWITHIN`
  Selects geometries within a bounding geometry
  $geoWithin : { name : { geometry|box|polygon|center } }
  `GT`
  Comparison operator
  $gt : { name : value }
  `GTE`
  Comparison operator $gte
  : { name : value }
  `IN`
  field named 'name' contains at least one of the values 'value1', 'value2', ...
  `ISNULL`
  Field named 'name' shall be empty or set to null
  $isNull : name
  `LT`
  Comparison operator
  $lt : { name : value }
  `LTE`
  Comparison operator
  $lte : { name : value }
  `MATCH`
  Selects where field named 'name' matches some words
  $match : { name : words, $max_expansions : n }
  `MATCH_ALL`
  Selects where field named 'name' matches all words
  $match_all : { name : words, $max_expansions : n }
  `MATCH_PHRASE`
  Selects where field named 'name' matches a phrase (somewhere)
  $match_phrase : { name : phrase, $max_expansions : n }
  `MATCH_PHRASE_PREFIX`
  Selects where field named 'name' matches a phrase as a prefix of the field
  $match_phrase_prefix : { name : phrase, $max_expansions : n }
  `MISSING`
  Field named 'name' shall not exist (faster than $not : [ $exists : name ] )
  $missing : name
  `MLT`
  Selects where fields named 'name' are like the one provided
  $mlt : { $fields : [ name1, name2 ], $like : like_text }
  `NE`
  Comparison operator
  $ne : { name : value }
  `NEAR`
  Selects geometries in proximity to a point
  $near : { name : { geometry_point|[ lng1, lta1], $maxDistance : distance } }
  `NIN`
  field named 'name' does not contain any of the values 'value1', 'value2', ...
  `NOP`
  NOP expression, used to represent nop (Null Operation) query '{'$nop':'1'}'
  `NOT`
  All expressions are grouped by an NOT operator (all shall be false)
  $not : [ expression1, expression2, ...
  `OR`
  All expressions are grouped by an OR operator (at least one shall be true)
  $or : [ expression1, expression2, ...
  `PATH`
  Selects a node by its exact path (succession of ids)
  $path : [ id1, id2, ...
  `POLYGON`
  $polygon : [ [ lng1, lta1 ], [ lng2, lta2 ], ...
  `RANGE`
  Optimization of comparison operator in a range
  $range : { name : { $gte : value, $lte : value } }
  `REGEX`
  Selects where field named 'name' contains a value valid with the corresponding regular expression.
  `SEARCH`
  Selects where field named 'name' contains something relevant to the search parameter.
  `SIZE`
  Size of an array named 'name' equals to specified length
  $size : { name : length }
  `SUBOBJECT`
  Allows nested search on _qualifiers.versions
  `TERM`
  Selects where field named 'name' contains exactly this term (lowercase only, no blank).
  `WILDCARD`
  Selects where field named 'name' contains exactly this term (lowercase only, no blank) with optional wildcard character (* and ?).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `exactToken()`
  `static BuilderToken.QUERY`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BuilderToken.QUERY[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOP

    public static final BuilderToken.QUERY NOP
    NOP expression, used to represent nop (Null Operation) query '{'$nop':'1'}'

  - ### AND

    public static final BuilderToken.QUERY AND
    All expressions are grouped by an AND operator (all shall be true)
    $and : [ expression1, expression2, ... ]

  - ### NOT

    public static final BuilderToken.QUERY NOT
    All expressions are grouped by an NOT operator (all shall be false)
    $not : [ expression1, expression2, ... ]

  - ### OR

    public static final BuilderToken.QUERY OR
    All expressions are grouped by an OR operator (at least one shall be true)
    $or : [ expression1, expression2, ... ]

  - ### EXISTS

    public static final BuilderToken.QUERY EXISTS
    Field named 'name' shall exist
    $exists : name

  - ### MISSING

    public static final BuilderToken.QUERY MISSING
    Field named 'name' shall not exist (faster than $not : [ $exists : name ] )
    $missing : name

  - ### ISNULL

    public static final BuilderToken.QUERY ISNULL
    Field named 'name' shall be empty or set to null
    $isNull : name

  - ### IN

    public static final BuilderToken.QUERY IN
    field named 'name' contains at least one of the values 'value1', 'value2', ...
    $in : { name : [ value1, value2, ... ] }

  - ### NIN

    public static final BuilderToken.QUERY NIN
    field named 'name' does not contain any of the values 'value1', 'value2', ...
    $nin : { name : [ value1, value2, ... ] }

  - ### SIZE

    public static final BuilderToken.QUERY SIZE
    Size of an array named 'name' equals to specified length
    $size : { name : length }

  - ### GT

    public static final BuilderToken.QUERY GT
    Comparison operator
    $gt : { name : value }

  - ### LT

    public static final BuilderToken.QUERY LT
    Comparison operator
    $lt : { name : value }

  - ### GTE

    public static final BuilderToken.QUERY GTE
    Comparison operator $gte
    : { name : value }

  - ### LTE

    public static final BuilderToken.QUERY LTE
    Comparison operator
    $lte : { name : value }

  - ### NE

    public static final BuilderToken.QUERY NE
    Comparison operator
    $ne : { name : value }

  - ### EQ

    public static final BuilderToken.QUERY EQ
    Comparison operator
    $eq : { name : value }

  - ### RANGE

    public static final BuilderToken.QUERY RANGE
    Optimization of comparison operator in a range
    $range : { name : { $gte : value, $lte : value } }

  - ### GEOMETRY

    public static final BuilderToken.QUERY GEOMETRY
    type might be Point (simple lng, lta), Box, Polygon
    $geometry : { $type : "type", $coordinates : [ [ lng1, lta1 ], [ lng2, lta2 ], ... ] }

  - ### BOX

    public static final BuilderToken.QUERY BOX
    $box : [ [ lng1, lta1 ], [ lng2, lta2 ] ]

  - ### POLYGON

    public static final BuilderToken.QUERY POLYGON
    $polygon : [ [ lng1, lta1 ], [ lng2, lta2 ], ... ]

  - ### CENTER

    public static final BuilderToken.QUERY CENTER
    $center : [ [ lng1, lta1 ], radius ]

  - ### GEOWITHIN

    public static final BuilderToken.QUERY GEOWITHIN
    Selects geometries within a bounding geometry
    $geoWithin : { name : { geometry|box|polygon|center } }

  - ### GEOINTERSECTS

    public static final BuilderToken.QUERY GEOINTERSECTS
    Selects geometries that intersect with a geometry
    $geoIntersects : { name : { geometry|box|polygon|center } }

  - ### NEAR

    public static final BuilderToken.QUERY NEAR
    Selects geometries in proximity to a point
    $near : { name : { geometry_point|[ lng1, lta1], $maxDistance : distance } }

  - ### MATCH

    public static final BuilderToken.QUERY MATCH
    Selects where field named 'name' matches some words
    $match : { name : words, $max_expansions : n }

  - ### MATCH_ALL

    public static final BuilderToken.QUERY MATCH_ALL
    Selects where field named 'name' matches all words
    $match_all : { name : words, $max_expansions : n }

  - ### MATCH_PHRASE

    public static final BuilderToken.QUERY MATCH_PHRASE
    Selects where field named 'name' matches a phrase (somewhere)
    $match_phrase : { name : phrase, $max_expansions : n }

  - ### MATCH_PHRASE_PREFIX

    public static final BuilderToken.QUERY MATCH_PHRASE_PREFIX
    Selects where field named 'name' matches a phrase as a prefix of the field
    $match_phrase_prefix : { name : phrase, $max_expansions : n }

  - ### FLT

    public static final BuilderToken.QUERY FLT
    Selects where fields named 'name' are like the one provided, introducing some "fuzzy", which tends to be slower than mlt
    $flt : { $fields : [ name1, name2 ], $like : like_text }

  - ### MLT

    public static final BuilderToken.QUERY MLT
    Selects where fields named 'name' are like the one provided
    $mlt : { $fields : [ name1, name2 ], $like : like_text }

  - ### SEARCH

    public static final BuilderToken.QUERY SEARCH
    Selects where field named 'name' contains something relevant to the search parameter. This search parameter can contain wildcards (* ?), specifications:
    (x y) meaning x or y
    "x y" meaning exactly sub phrase "x y"
    +x -y meaning x must be present, y must be absent
    $search : { name : searchParameter }

  - ### REGEX

    public static final BuilderToken.QUERY REGEX
    Selects where field named 'name' contains a value valid with the corresponding regular expression.
    $regex : { name : regex }

  - ### TERM

    public static final BuilderToken.QUERY TERM
    Selects where field named 'name' contains exactly this term (lowercase only, no blank). Useful in simple value field to find one specific item, or for multiple tests at once (AND implicit).
    $term : { name : term, name : term }

  - ### WILDCARD

    public static final BuilderToken.QUERY WILDCARD
    Selects where field named 'name' contains exactly this term (lowercase only, no blank) with optional wildcard character (* and ?). Useful in simple value field to find one specific item.
    $wildcard : { name : term }

  - ### PATH

    public static final BuilderToken.QUERY PATH
    Selects a node by its exact path (succession of ids)
    $path : [ id1, id2, ... ]

  - ### SUBOBJECT

    public static final BuilderToken.QUERY SUBOBJECT
    Allows nested search on _qualifiers.versions

- ## Method Details

  - ### values

    public static BuilderToken.QUERY[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BuilderToken.QUERY valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### exactToken

    public final String exactToken()
    Returns:
      the exact token